-- Cmo Consultar en qu Base de Datos de Contenido se almacena una Coleccin de Sitios de MOSS
--
--
-- GuilleSQL - Un portal sobre Microsoft SQL Server en Castellano
-- http://www.guillesql.es
--

-- *** Nos posicionamos en la BBDD de Configuracin 
-- *** ...excepto que queramos consultar una restaurada con otro nombre...
USE SharePoint_Config
GO

-- *** Ponemos el modo de aislamiento de Lecturas Sucias para evitar problemas de bloqueos
SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED
GO

-- *** Lanzamos la Query filtrando en la WHERE, por ejemplo, por el Site Collection que nos interese
SELECT
   WebAppsTBL.Name AS WebApplicationName
   ,SiteMap.[path] AS SiteCollectionPath
   ,DataBasesTBL.Name AS DatabaseName
   ,(SELECT Name FROM dbo.Objects WHERE Id IN (SELECT ParentId FROM dbo.Objects WHERE Id=DataBasesTBL.ParentId)) AS SQLServerName
FROM dbo.SiteMap
   INNER JOIN dbo.Objects AS DataBasesTBL
      ON SiteMap.DatabaseId = DataBasesTBL.Id
   INNER JOIN dbo.Objects AS WebAppsTBL
      ON SiteMap.ApplicationId = WebAppsTBL.Id
WHERE SiteMap.[path] LIKE '%site01%'
GO